### Enumeration

# GLib MarkupError

#### Declaration

    error-domain GLib.MarkupError

#### Description

Error codes returned by markup parsing.

#### Members

`G_MARKUP_ERROR_BAD_UTF8`

  Text being parsed was not valid UTF-8.

  - Value: `0`
  - Available since: 2.0
`G_MARKUP_ERROR_EMPTY`

  Document contained nothing, or only whitespace.

  - Value: `1`
  - Available since: 2.0
`G_MARKUP_ERROR_PARSE`

  Document was ill-formed.

  - Value: `2`
  - Available since: 2.0
`G_MARKUP_ERROR_UNKNOWN_ELEMENT`

  Error should be set by `GMarkupParser` functions; element wasn’t known.

  - Value: `3`
  - Available since: 2.0
`G_MARKUP_ERROR_UNKNOWN_ATTRIBUTE`

  Error should be set by `GMarkupParser` functions; attribute wasn’t known.

  - Value: `4`
  - Available since: 2.0
`G_MARKUP_ERROR_INVALID_CONTENT`

  Error should be set by `GMarkupParser` functions; content was invalid.

  - Value: `5`
  - Available since: 2.0
`G_MARKUP_ERROR_MISSING_ATTRIBUTE`

  Error should be set by `GMarkupParser` functions; a required attribute was missing.

  - Value: `6`
  - Available since: 2.0